iOS SDK 11.2 must be configured

Getting into LiveCode for iOS? Ask your questions here.

Moderators: heatherlaine, Klaus, FourthWorld, robinmiller, kevinmiller

Post Reply
wolfilein
Posts: 14
Joined: Wed May 30, 2018 12:44 pm

iOS SDK 11.2 must be configured

Post by wolfilein » Thu May 31, 2018 5:34 pm

When trying to make a standalone app for iOS, I get the error message: ".... you must have the iOS SDK 11.2 configured, iOS 11.2 comes with Xcode 9.2"
I had just downloaded Xcode, I can now open the Xcode app, seems perfect, but configure the SDK, there is nothing in this Xcode app, and also in Livecode 9.2 I cannot see anything. ??

Klaus
Posts: 10384
Joined: Sat Apr 08, 2006 8:41 am
Location: Germany
Contact:

Re: iOS SDK 11.2 must be configured

Post by Klaus » Thu May 31, 2018 5:51 pm

Hi wolfilein,

if you "just downloaded" Xcode, then you have probably the latest version 9.4 of Xcode and LC is not yet compatible with this version.


Best

Klaus

wolfilein
Posts: 14
Joined: Wed May 30, 2018 12:44 pm

Re: iOS SDK 11.2 must be configured

Post by wolfilein » Thu May 31, 2018 7:40 pm

so which version of Xcode should I download to my iMac??

jmburnod
VIP Livecode Opensource Backer
VIP Livecode Opensource Backer
Posts: 2243
Joined: Sat Dec 22, 2007 5:35 pm
Location: Genève
Contact:

Re: iOS SDK 11.2 must be configured

Post by jmburnod » Thu May 31, 2018 8:12 pm

Hi wolfilein
Depends on your OS X version
For OS X 10.13 i use xCode 8.3.3 and LC 8.1.6
For OS X 10.13.4 i use xCode 9.2 and LC 9.0.0
Best regards
Jean-Marc

wolfilein
Posts: 14
Joined: Wed May 30, 2018 12:44 pm

Re: iOS SDK 11.2 must be configured

Post by wolfilein » Thu May 31, 2018 9:41 pm

Hi Jean-Marc
must I uninstall Xcode 9.4 before downloading Xcode 9.2 or could I keep it in case I should try it out?
Regards
wolfilein

wolfilein
Posts: 14
Joined: Wed May 30, 2018 12:44 pm

Re: iOS SDK 11.2 must be configured

Post by wolfilein » Fri Jun 01, 2018 6:14 am

In the meantime I have uninstalled Xcode 9.4, but also with Xcode 9.2 I still get the same error message??

wolfilein
Posts: 14
Joined: Wed May 30, 2018 12:44 pm

Re: iOS SDK 11.2 must be configured

Post by wolfilein » Fri Jun 01, 2018 8:48 am

Hi
now I get a different error message:
"... device build requires a provisioning profile to be chosen"
What does that mean??
Regards
wolfilein

LiveCode_Panos
Livecode Staff Member
Livecode Staff Member
Posts: 493
Joined: Fri Feb 06, 2015 4:03 pm

Re: iOS SDK 11.2 must be configured

Post by LiveCode_Panos » Fri Jun 01, 2018 5:32 pm

Hi wolfilein,

You need a provisioning profile to be able to deploy apps to physical iOS devices.


So I suggest reading these lessons first:

http://lessons.livecode.com/m/2571/l/23 ... -developer

http://lessons.livecode.com/m/2571/l/23 ... pplication

http://lessons.livecode.com/m/4069/l/30 ... le-for-ios

http://lessons.livecode.com/m/4069/l/32 ... le-for-ios

Kind regards,
Panos
--

Post Reply

Return to “iOS Deployment”